-- Autogenerated: 2021-07-06T08:51
module Sound.Sc3.Ugen.Db.Data where
import Sound.Sc3.Common.Rate
import Sound.Sc3.Ugen.Db.Record
sc3_ugen_db :: [Sc3_U]
sc3_ugen_db = [
     ("BinaryOpUGen",[ar,kr,ir,dr],ar,[I "a" 0,I "b" 0],1,"Apply a binary operation to the values of an input UGen",False)
    ,("UnaryOpUGen",[ar,kr,ir,dr],ar,[I "a" 0],1,"Apply a unary operation to the values of an input ugen",False)
    ,("A2K",[kr],kr,[I "in" (0.0)],1,"Audio to control rate converter.",True)
    ,("APF",[ar,kr],ar,[I "in" (0.0),I "freq" (440.0),I "radius" (0.8)],1,"FIXME: APF purpose.",True)
    ,("AllpassC",[ar,kr],ar,[I "in" (0.0),I "maxdelaytime" (0.2),I "delaytime" (0.2),I "decaytime" (1.0)],1,"Schroeder allpass delay line with cubic interpolation.",True)
    ,("AllpassL",[ar,kr],ar,[I "in" (0.0),I "maxdelaytime" (0.2),I "delaytime" (0.2),I "decaytime" (1.0)],1,"Schroeder allpass delay line with linear interpolation.",True)
    ,("AllpassN",[ar,kr],ar,[I "in" (0.0),I "maxdelaytime" (0.2),I "delaytime" (0.2),I "decaytime" (1.0)],1,"Schroeder allpass delay line with no interpolation.",True)
    ,("AmpComp",[ar,kr,ir],ar,[I "freq" 0,I "root" 0,I "exp" (0.3333)],1,"Basic psychoacoustic amplitude compensation.",True)
    ,("AmpCompA",[ar,kr,ir],ar,[I "freq" (1000),I "root" (0),I "minAmp" (0.32),I "rootAmp" (1.0)],1,"Basic psychoacoustic amplitude compensation (ANSI A-weighting curve).",True)
    ,("Amplitude",[ar,kr],ar,[I "in" (0.0),I "attackTime" (0.01),I "releaseTime" (0.01)],1,"Amplitude follower",False)
    ,("BAllPass",[ar],ar,[I "in" 0,I "freq" (1200.0),I "rq" (1.0)],1,"All Pass Filter",True)
    ,("BBandPass",[ar],ar,[I "in" 0,I "freq" (1200.0),I "bw" (1.0)],1,"Band Pass Filter",True)
    ,("BBandStop",[ar],ar,[I "in" 0,I "freq" (1200.0),I "bw" (1.0)],1,"Band reject filter",True)
    ,("BHiPass",[ar],ar,[I "in" 0,I "freq" (1200.0),I "rq" (1.0)],1,"12db/oct rolloff - 2nd order resonant  Hi Pass Filter",True)
    ,("BHiShelf",[ar],ar,[I "in" 0,I "freq" (1200.0),I "rs" (1.0),I "db" (0.0)],1,"Hi Shelf",True)
    ,("BLowPass",[ar],ar,[I "in" 0,I "freq" (1200.0),I "rq" (1.0)],1,"12db/oct rolloff - 2nd order resonant Low Pass Filter",True)
    ,("BLowShelf",[ar],ar,[I "in" 0,I "freq" (1200.0),I "rs" (1.0),I "db" (0.0)],1,"Low Shelf",True)
    ,("BPF",[ar,kr],ar,[I "in" (0.0),I "freq" (440.0),I "rq" (1.0)],1,"2nd order Butterworth bandpass filter.",True)
    ,("BPZ2",[ar,kr],ar,[I "in" (0.0)],1,"Two zero fixed midpass.",True)
    ,("BPeakEQ",[ar],ar,[I "in" 0,I "freq" (1200.0),I "rq" (1.0),I "db" (0.0)],1,"Parametric equalizer",True)
    ,("BRF",[ar,kr],ar,[I "in" (0.0),I "freq" (440.0),I "rq" (1.0)],1,"2nd order Butterworth band reject filter.",True)
    ,("BRZ2",[ar,kr],ar,[I "in" (0.0)],1,"Two zero fixed midcut.",True)
    ,("Balance2",[ar,kr],ar,[I "left" 0,I "right" 0,I "pos" (0.0),I "level" (1.0)],2,"Stereo signal balancer",False)
    ,("Ball",[ar,kr],ar,[I "in" (0.0),I "g" (1),I "damp" (0),I "friction" (0.01)],1,"physical model of bouncing object",False)
    ,("BeatTrack",[kr],kr,[I "chain" 0,I "lock" (0)],1,"Autocorrelation beat tracker",False)
    ,("BeatTrack2",[kr],kr,[I "busindex" 0,I "numfeatures" 0,I "windowsize" (2.0),I "phaseaccuracy" (0.02),I "lock" (0),I "weightingscheme" 0],6,"Template matching beat tracker",False)
    ,("BiPanB2",[ar,kr],ar,[I "inA" 0,I "inB" 0,I "azimuth" 0,I "gain" (1)],3,"2D Ambisonic B-format panner.",False)
    ,("Blip",[ar,kr],ar,[I "freq" (440.0),I "numharm" (200.0)],1,"Band limited impulse oscillator.",False)
    ,("BlockSize",[ir],ir,[],1,"(Undocumented class)",False)
    ,("BrownNoise",[ar,kr],ar,[],1,"Brown Noise.",False)
    ,("BufAllpassC",[ar],ar,[I "buf" (0),I "in" (0.0),I "delaytime" (0.2),I "decaytime" (1.0)],1,"Buffer based all pass delay line with cubic interpolation.",False)
    ,("BufAllpassL",[ar],ar,[I "buf" (0),I "in" (0.0),I "delaytime" (0.2),I "decaytime" (1.0)],1,"Buffer based all pass delay line with linear interpolation.",False)
    ,("BufAllpassN",[ar],ar,[I "buf" (0),I "in" (0.0),I "delaytime" (0.2),I "decaytime" (1.0)],1,"Buffer based all pass delay line with no interpolation.",False)
    ,("BufChannels",[kr,ir],kr,[I "bufnum" 0],1,"Current number of channels of soundfile in buffer.",False)
    ,("BufCombC",[ar],ar,[I "buf" (0),I "in" (0.0),I "delaytime" (0.2),I "decaytime" (1.0)],1,"Buffer based comb delay line with cubic interpolation.",False)
    ,("BufCombL",[ar],ar,[I "buf" (0),I "in" (0.0),I "delaytime" (0.2),I "decaytime" (1.0)],1,"Buffer based comb delay line with linear interpolation.",False)
    ,("BufCombN",[ar],ar,[I "buf" (0),I "in" (0.0),I "delaytime" (0.2),I "decaytime" (1.0)],1,"Buffer based comb delay line with no interpolation.",False)
    ,("BufDelayC",[ar,kr],ar,[I "buf" (0),I "in" (0.0),I "delaytime" (0.2)],1,"Buffer based simple delay line with cubic interpolation.",False)
    ,("BufDelayL",[ar,kr],ar,[I "buf" (0),I "in" (0.0),I "delaytime" (0.2)],1,"Buffer based simple delay line with linear interpolation.",False)
    ,("BufDelayN",[ar,kr],ar,[I "buf" (0),I "in" (0.0),I "delaytime" (0.2)],1,"Buffer based simple delay line with no interpolation.",False)
    ,("BufDur",[kr,ir],kr,[I "bufnum" 0],1,"Current duration of soundfile in buffer.",False)
    ,("BufFrames",[kr,ir],kr,[I "bufnum" 0],1,"Current number of frames allocated in the buffer.",False)
    ,("BufRateScale",[kr,ir],kr,[I "bufnum" 0],1,"Buffer rate scaling in respect to server samplerate.",False)
    ,("BufRd",[ar,kr],ar,[I "numChannels" 0,I "bufnum" (0),I "phase" (0.0),I "loop" (1.0),I "interpolation" (2)],1,"Buffer reading oscillator.",False)
    ,("BufSampleRate",[kr,ir],kr,[I "bufnum" 0],1,"Buffer sample rate.",False)
    ,("BufSamples",[kr,ir],kr,[I "bufnum" 0],1,"Current number of samples in buffer.",False)
    ,("BufWr",[ar,kr],ar,[I "inputArray" 0,I "bufnum" (0),I "phase" (0.0),I "loop" (1.0)],1,"Buffer writing oscillator.",False)
    ,("COsc",[ar,kr],ar,[I "bufnum" 0,I "freq" (440.0),I "beats" (0.5)],1,"Chorusing wavetable oscillator.",True)
    ,("CheckBadValues",[ar,kr],ar,[I "in" (0.0),I "id" (0),I "post" (2)],1,"Test for infinity, not-a-number, and denormals",False)
    ,("ClearBuf",[],ir,[I "buf" 0],1,"(Undocumented class)",False)
    ,("Clip",[ar,kr,ir],ar,[I "in" (0.0),I "lo" (0.0),I "hi" (1.0)],1,"Clip a signal outside given thresholds.",False)
    ,("ClipNoise",[ar,kr],ar,[],1,"Clip Noise.",False)
    ,("CoinGate",[ar,kr],ar,[I "prob" 0,I "in" 0],1,"Statistical gate.",False)
    ,("CombC",[ar,kr],ar,[I "in" (0.0),I "maxdelaytime" (0.2),I "delaytime" (0.2),I "decaytime" (1.0)],1,"Comb delay line with cubic interpolation.",True)
    ,("CombL",[ar,kr],ar,[I "in" (0.0),I "maxdelaytime" (0.2),I "delaytime" (0.2),I "decaytime" (1.0)],1,"Comb delay line with linear interpolation.",True)
    ,("CombN",[ar,kr],ar,[I "in" (0.0),I "maxdelaytime" (0.2),I "delaytime" (0.2),I "decaytime" (1.0)],1,"Comb delay line with no interpolation.",True)
    ,("Compander",[ar],ar,[I "in" (0.0),I "control" (0.0),I "thresh" (0.5),I "slopeBelow" (1.0),I "slopeAbove" (1.0),I "clampTime" (0.01),I "relaxTime" (0.1)],1,"Compressor, expander, limiter, gate, ducker",False)
    ,("CompanderD",[ar],ar,[I "in" (0.0),I "thresh" (0.5),I "slopeBelow" (1.0),I "slopeAbove" (1.0),I "clampTime" (0.01),I "relaxTime" (0.01)],1,"Compressor, expander, limiter, gate, ducker.",False)
    ,("ControlDur",[ir],ir,[],1,"Duration of one block",False)
    ,("ControlRate",[ir],ir,[],1,"Server control rate.",False)
    ,("Convolution",[ar],ar,[I "in" 0,I "kernel" 0,I "framesize" (512)],1,"Real-time convolver.",False)
    ,("Convolution2",[ar],ar,[I "in" 0,I "kernel" 0,I "trigger" (0),I "framesize" (2048)],1,"Real-time fixed kernel convolver.",False)
    ,("Convolution2L",[ar],ar,[I "in" 0,I "kernel" 0,I "trigger" (0),I "framesize" (2048),I "crossfade" (1)],1,"Real-time convolver with linear interpolation",False)
    ,("Convolution3",[ar,kr],ar,[I "in" 0,I "kernel" 0,I "trigger" (0),I "framesize" (2048)],1,"Time based convolver.",False)
    ,("Crackle",[ar,kr],ar,[I "chaosParam" (1.5)],1,"Chaotic noise function.",False)
    ,("CuspL",[ar],ar,[I "freq" (22050),I "a" (1),I "b" (1.9),I "xi" (0)],1,"Cusp map chaotic generator",False)
    ,("CuspN",[ar],ar,[I "freq" (22050),I "a" (1),I "b" (1.9),I "xi" (0)],1,"Cusp map chaotic generator",False)
    ,("DC",[ar,kr],ar,[I "in" (0.0)],1,"Create a constant amplitude signal",False)
    ,("Dbrown",[dr],dr,[I "lo" (0.0),I "hi" (1.0),I "step" (0.01),I "length" (inf)],1,"Demand rate brownian movement generator.",False)
    ,("Dbufrd",[dr],dr,[I "bufnum" (0),I "phase" (0.0),I "loop" (1.0)],1,"Buffer read demand ugen",False)
    ,("Dbufwr",[dr],dr,[I "input" (0.0),I "bufnum" (0),I "phase" (0.0),I "loop" (1.0)],1,"Buffer write demand ugen",False)
    ,("Dconst",[dr],dr,[I "sum" 0,I "in" 0,I "tolerance" (0.001)],1,"Constrain a demand-rate stream to a given sum",False)
    ,("Decay",[ar,kr],ar,[I "in" (0.0),I "decayTime" (1.0)],1,"Exponential decay",True)
    ,("Decay2",[ar,kr],ar,[I "in" (0.0),I "attackTime" (0.01),I "decayTime" (1.0)],1,"Exponential decay",True)
    ,("DecodeB2",[ar,kr],ar,[I "numChans" 0,I "w" 0,I "x" 0,I "y" 0,I "orientation" (0.5)],0,"2D Ambisonic B-format decoder.",False)
    ,("DegreeToKey",[ar,kr],ar,[I "bufnum" 0,I "in" (0.0),I "octave" (12.0)],1,"Convert signal to modal pitch.",True)
    ,("DelTapRd",[ar,kr],ar,[I "buffer" 0,I "phase" 0,I "delTime" 0,I "interp" (1)],1,"Tap a delay line from a DelTapWr UGen",False)
    ,("DelTapWr",[ar,kr],ar,[I "buffer" 0,I "in" 0],1,"Write to a buffer for a DelTapRd UGen",False)
    ,("Delay1",[ar,kr],ar,[I "in" (0.0)],1,"Single sample delay.",True)
    ,("Delay2",[ar,kr],ar,[I "in" (0.0)],1,"Two sample delay.",True)
    ,("DelayC",[ar,kr],ar,[I "in" (0.0),I "maxdelaytime" (0.2),I "delaytime" (0.2)],1,"Simple delay line with cubic interpolation.",True)
    ,("DelayL",[ar,kr],ar,[I "in" (0.0),I "maxdelaytime" (0.2),I "delaytime" (0.2)],1,"Simple delay line with linear interpolation.",True)
    ,("DelayN",[ar,kr],ar,[I "in" (0.0),I "maxdelaytime" (0.2),I "delaytime" (0.2)],1,"Simple delay line with no interpolation.",True)
    ,("Demand",[ar,kr],ar,[I "trig" 0,I "reset" 0,I "demandUGens" 0],1,"Demand results from demand rate UGens.",False)
    ,("DemandEnvGen",[ar,kr],ar,[I "level" 0,I "dur" 0,I "shape" (1),I "curve" (0),I "gate" (1.0),I "reset" (1.0),I "levelScale" (1.0),I "levelBias" (0.0),I "timeScale" (1.0),I "doneAction" (0)],1,"Demand rate envelope generator",False)
    ,("DetectIndex",[ar,kr],ar,[I "bufnum" 0,I "in" (0.0)],1,"Search a buffer for a value",True)
    ,("DetectSilence",[ar,kr],ar,[I "in" (0.0),I "amp" (0.0001),I "time" (0.1),I "doneAction" (0)],1,"Detect when input falls below an amplitude threshold",True)
    ,("Dgeom",[dr],dr,[I "start" (1),I "grow" (2),I "length" (inf)],1,"Demand rate geometric series UGen.",False)
    ,("Dibrown",[dr],dr,[I "lo" (0.0),I "hi" (1.0),I "step" (0.01),I "length" (inf)],1,"Demand rate brownian movement generator.",False)
    ,("DiskIn",[ar],ar,[I "numChannels" 0,I "bufnum" 0,I "loop" (0)],1,"Stream in audio from a file.",False)
    ,("DiskOut",[ar],ar,[I "bufnum" 0,I "channelsArray" 0],1,"Record to a soundfile to disk.",False)
    ,("Diwhite",[dr],dr,[I "lo" (0.0),I "hi" (1.0),I "length" (inf)],1,"Demand rate white noise random generator.",False)
    ,("Done",[kr],kr,[I "src" 0],1,"Monitors another UGen to see when it is finished",False)
    ,("Dpoll",[dr],dr,[I "in" 0,I "label" 0,I "run" (1),I "trigid" (-1)],1,"Print the current output value of a demand rate UGen",False)
    ,("Drand",[dr],dr,[I "list" 0,I "repeats" (1)],1,"Demand rate random sequence generator.",False)
    ,("Dreset",[dr],dr,[I "in" 0,I "reset" (0.0)],1,"demand rate reset",False)
    ,("Dseq",[dr],dr,[I "list" 0,I "repeats" (1)],1,"Demand rate sequence generator.",False)
    ,("Dser",[dr],dr,[I "list" 0,I "repeats" (1)],1,"Demand rate sequence generator.",False)
    ,("Dseries",[dr],dr,[I "start" (1),I "step" (1),I "length" (inf)],1,"Demand rate arithmetic series UGen.",False)
    ,("Dshuf",[dr],dr,[I "list" 0,I "repeats" (1)],1,"Demand rate random sequence generator",False)
    ,("Dstutter",[dr],dr,[I "n" 0,I "in" 0],1,"Demand rate input replicator",False)
    ,("Dswitch",[dr],dr,[I "list" 0,I "index" 0],1,"Demand rate generator for embedding different inputs",False)
    ,("Dswitch1",[dr],dr,[I "list" 0,I "index" 0],1,"Demand rate generator for switching between inputs.",False)
    ,("Dunique",[dr],dr,[I "source" 0,I "maxBufferSize" (1024),I "protected" (true)],1,"Return the same unique series of values for several demand streams",False)
    ,("Dust",[ar,kr],ar,[I "density" (0.0)],1,"Random impulses.",False)
    ,("Dust2",[ar,kr],ar,[I "density" (0.0)],1,"Random impulses.",False)
    ,("Duty",[ar,kr],ar,[I "dur" (1.0),I "reset" (0.0),I "level" (1.0),I "doneAction" (0)],1,"Demand results from demand rate UGens.",False)
    ,("Dwhite",[dr],dr,[I "lo" (0.0),I "hi" (1.0),I "length" (inf)],1,"Demand rate white noise random generator.",False)
    ,("Dwrand",[dr],dr,[I "list" 0,I "weights" 0,I "repeats" (1)],1,"Demand rate weighted random sequence generator",False)
    ,("Dxrand",[dr],dr,[I "list" 0,I "repeats" (1)],1,"Demand rate random sequence generator.",False)
    ,("EnvGen",[ar,kr],ar,[I "envelope" 0,I "gate" (1.0),I "levelScale" (1.0),I "levelBias" (0.0),I "timeScale" (1.0),I "doneAction" (0)],1,"Envelope generator",False)
    ,("ExpRand",[],ir,[I "lo" (0.01),I "hi" (1.0)],1,"Exponential single random number generator.",False)
    ,("FBSineC",[ar],ar,[I "freq" (22050),I "im" (1),I "fb" (0.1),I "a" (1.1),I "c" (0.5),I "xi" (0.1),I "yi" (0.1)],1,"Feedback sine with chaotic phase indexing",False)
    ,("FBSineL",[ar],ar,[I "freq" (22050),I "im" (1),I "fb" (0.1),I "a" (1.1),I "c" (0.5),I "xi" (0.1),I "yi" (0.1)],1,"Feedback sine with chaotic phase indexing",False)
    ,("FBSineN",[ar],ar,[I "freq" (22050),I "im" (1),I "fb" (0.1),I "a" (1.1),I "c" (0.5),I "xi" (0.1),I "yi" (0.1)],1,"Feedback sine with chaotic phase indexing",False)
    ,("FFT",[kr],kr,[I "buffer" 0,I "in" (0.0),I "hop" (0.5),I "wintype" (0),I "active" (1),I "winsize" (0)],1,"Fast Fourier Transform",False)
    ,("FOS",[ar,kr],ar,[I "in" (0.0),I "a0" (0.0),I "a1" (0.0),I "b1" (0.0)],1,"First order filter section.",True)
    ,("FSinOsc",[ar,kr],ar,[I "freq" (440.0),I "iphase" (0.0)],1,"Fast sine oscillator.",False)
    ,("Fold",[ar,kr,ir],ar,[I "in" (0.0),I "lo" (0.0),I "hi" (1.0)],1,"Fold a signal outside given thresholds.",False)
    ,("Formant",[ar],ar,[I "fundfreq" (440.0),I "formfreq" (1760.0),I "bwfreq" (880.0)],1,"Formant oscillator",True)
    ,("Formlet",[ar,kr],ar,[I "in" (0.0),I "freq" (440.0),I "attacktime" (1.0),I "decaytime" (1.0)],1,"FOF-like filter.",True)
    ,("Free",[kr],kr,[I "trig" 0,I "id" 0],1,"When triggered, frees a node.",False)
    ,("FreeSelf",[kr],kr,[I "in" 0],1,"When triggered, free enclosing synth.",False)
    ,("FreeSelfWhenDone",[kr],kr,[I "src" 0],1,"Free the enclosing synth when a UGen is finished",False)
    ,("FreeVerb",[ar],ar,[I "in" 0,I "mix" (0.33),I "room" (0.5),I "damp" (0.5)],1,"A reverb",True)
    ,("FreeVerb2",[ar],ar,[I "in" 0,I "in2" 0,I "mix" (0.33),I "room" (0.5),I "damp" (0.5)],2,"A two-channel reverb",False)
    ,("FreqShift",[ar],ar,[I "in" 0,I "freq" (0.0),I "phase" (0.0)],1,"Frequency Shifter.",False)
    ,("GVerb",[ar],ar,[I "in" 0,I "roomsize" (10),I "revtime" (3),I "damping" (0.5),I "inputbw" (0.5),I "spread" (15),I "drylevel" (1),I "earlyreflevel" (0.7),I "taillevel" (0.5),I "maxroomsize" (300)],2,"A two-channel reverb",False)
    ,("Gate",[ar,kr],ar,[I "in" (0.0),I "trig" (0.0)],1,"Gate or hold.",False)
    ,("GbmanL",[ar],ar,[I "freq" (22050),I "xi" (1.2),I "yi" (2.1)],1,"Gingerbreadman map chaotic generator",False)
    ,("GbmanN",[ar],ar,[I "freq" (22050),I "xi" (1.2),I "yi" (2.1)],1,"Gingerbreadman map chaotic generator",False)
    ,("Gendy1",[ar,kr],ar,[I "ampdist" (1),I "durdist" (1),I "adparam" (1.0),I "ddparam" (1.0),I "minfreq" (440),I "maxfreq" (660),I "ampscale" (0.5),I "durscale" (0.5),I "initCPs" (12),I "knum" 0],1,"Dynamic stochastic synthesis generator.",False)
    ,("Gendy2",[ar,kr],ar,[I "ampdist" (1),I "durdist" (1),I "adparam" (1.0),I "ddparam" (1.0),I "minfreq" (440),I "maxfreq" (660),I "ampscale" (0.5),I "durscale" (0.5),I "initCPs" (12),I "knum" 0,I "a" (1.17),I "c" (0.31)],1,"Dynamic stochastic synthesis generator.",False)
    ,("Gendy3",[ar,kr],ar,[I "ampdist" (1),I "durdist" (1),I "adparam" (1.0),I "ddparam" (1.0),I "freq" (440),I "ampscale" (0.5),I "durscale" (0.5),I "initCPs" (12),I "knum" 0],1,"Dynamic stochastic synthesis generator.",False)
    ,("GrainBuf",[ar],ar,[I "numChannels" (1),I "trigger" (0),I "dur" (1),I "sndbuf" 0,I "rate" (1),I "pos" (0),I "interp" (2),I "pan" (0),I "envbufnum" (-1),I "maxGrains" (512)],1,"Granular synthesis with sound stored in a buffer",False)
    ,("GrainFM",[ar],ar,[I "numChannels" (1),I "trigger" (0),I "dur" (1),I "carfreq" (440),I "modfreq" (200),I "index" (1),I "pan" (0),I "envbufnum" (-1),I "maxGrains" (512)],1,"Granular synthesis with frequency modulated sine tones",False)
    ,("GrainIn",[ar],ar,[I "numChannels" (1),I "trigger" (0),I "dur" (1),I "in" 0,I "pan" (0),I "envbufnum" (-1),I "maxGrains" (512)],1,"Granulate an input signal",False)
    ,("GrainSin",[ar],ar,[I "numChannels" (1),I "trigger" (0),I "dur" (1),I "freq" (440),I "pan" (0),I "envbufnum" (-1),I "maxGrains" (512)],1,"Granular synthesis with sine tones",False)
    ,("GrayNoise",[ar,kr],ar,[],1,"Gray Noise.",False)
    ,("HPF",[ar,kr],ar,[I "in" (0.0),I "freq" (440.0)],1,"2nd order Butterworth highpass filter.",True)
    ,("HPZ1",[ar,kr],ar,[I "in" (0.0)],1,"Two point difference filter",True)
    ,("HPZ2",[ar,kr],ar,[I "in" (0.0)],1,"Two zero fixed midcut.",True)
    ,("Hasher",[ar,kr],ar,[I "in" (0.0)],1,"Scrambled value with a hash function.",False)
    ,("HenonC",[ar],ar,[I "freq" (22050),I "a" (1.4),I "b" (0.3),I "x0" (0),I "x1" (0)],1,"Henon map chaotic generator",False)
    ,("HenonL",[ar],ar,[I "freq" (22050),I "a" (1.4),I "b" (0.3),I "x0" (0),I "x1" (0)],1,"Henon map chaotic generator",False)
    ,("HenonN",[ar],ar,[I "freq" (22050),I "a" (1.4),I "b" (0.3),I "x0" (0),I "x1" (0)],1,"Henon map chaotic generator",False)
    ,("Hilbert",[ar],ar,[I "in" 0],2,"Applies the Hilbert transform to an input signal.",False)
    ,("IEnvGen",[ar,kr],ar,[I "envelope" 0,I "index" 0],1,"Envelope generator for polling values from an Env",False)
    ,("IFFT",[ar,kr],ar,[I "buffer" 0,I "wintype" (0),I "winsize" (0)],1,"Inverse Fast Fourier Transform",False)
    ,("IRand",[],ir,[I "lo" (0),I "hi" (127)],1,"Single integer random number generator.",False)
    ,("Impulse",[ar,kr],ar,[I "freq" (440.0),I "phase" (0.0)],1,"Impulse oscillator.",True)
    ,("In",[ar,kr],ar,[I "bus" (0),I "numChannels" (1)],1,"Read a signal from a bus.",False)
    ,("InFeedback",[ar],ar,[I "bus" (0),I "numChannels" (1)],1,"Read signal from a bus with a current or one cycle old timestamp.",False)
    ,("InRange",[ar,kr,ir],ar,[I "in" (0.0),I "lo" (0.0),I "hi" (1.0)],1,"Tests if a signal is within a given range.",False)
    ,("InRect",[ar,kr],ar,[I "x" (0.0),I "y" (0.0),I "rect" 0],1,"Test if a point is within a given rectangle.",False)
    ,("InTrig",[kr],kr,[I "bus" (0),I "numChannels" (1)],1,"Generate a trigger anytime a bus is set.",False)
    ,("Index",[ar,kr],ar,[I "bufnum" 0,I "in" (0.0)],1,"Index into a table with a signal",True)
    ,("IndexInBetween",[ar,kr],ar,[I "bufnum" 0,I "in" (0.0)],1,"Finds the (lowest) point in the Buffer at which the input signal lies in-between the two values",True)
    ,("IndexL",[ar,kr],ar,[I "bufnum" 0,I "in" (0.0)],1,"Index into a table with a signal, linear interpolated",True)
    ,("InfoUGenBase",[ir],ir,[],1,"Base class for info ugens",False)
    ,("Integrator",[ar,kr],ar,[I "in" (0.0),I "coef" (1.0)],1,"A leaky integrator.",True)
    ,("K2A",[ar],ar,[I "in" (0.0)],1,"Control to audio rate converter.",True)
    ,("KeyState",[kr],kr,[I "keycode" (0),I "minval" (0),I "maxval" (1),I "lag" (0.2)],1,"Respond to the state of a key",False)
    ,("KeyTrack",[kr],kr,[I "chain" 0,I "keydecay" (2.0),I "chromaleak" (0.5)],1,"Key tracker",False)
    ,("Klang",[ar],ar,[I "specificationsArrayRef" 0,I "freqscale" (1.0),I "freqoffset" (0.0)],1,"Sine oscillator bank",False)
    ,("Klank",[ar],ar,[I "specificationsArrayRef" 0,I "input" 0,I "freqscale" (1.0),I "freqoffset" (0.0),I "decayscale" (1.0)],1,"Bank of resonators",False)
    ,("LFClipNoise",[ar,kr],ar,[I "freq" (500.0)],1,"Clipped noise",False)
    ,("LFCub",[ar,kr],ar,[I "freq" (440.0),I "iphase" (0.0)],1,"A sine like shape made of two cubic pieces",True)
    ,("LFDClipNoise",[ar,kr],ar,[I "freq" (500.0)],1,"Dynamic clipped noise",False)
    ,("LFDNoise0",[ar,kr],ar,[I "freq" (500.0)],1,"Dynamic step noise",False)
    ,("LFDNoise1",[ar,kr],ar,[I "freq" (500.0)],1,"Dynamic ramp noise",False)
    ,("LFDNoise3",[ar,kr],ar,[I "freq" (500.0)],1,"Dynamic cubic noise",False)
    ,("LFGauss",[ar,kr],ar,[I "duration" (1),I "width" (0.1),I "iphase" (0.0),I "loop" (1),I "doneAction" (0)],1,"Gaussian function oscillator",False)
    ,("LFNoise0",[ar,kr],ar,[I "freq" (500.0)],1,"Step noise",False)
    ,("LFNoise1",[ar,kr],ar,[I "freq" (500.0)],1,"Ramp noise",False)
    ,("LFNoise2",[ar,kr],ar,[I "freq" (500.0)],1,"Quadratic noise.",False)
    ,("LFPar",[ar,kr],ar,[I "freq" (440.0),I "iphase" (0.0)],1,"Parabolic oscillator",True)
    ,("LFPulse",[ar,kr],ar,[I "freq" (440.0),I "iphase" (0.0),I "width" (0.5)],1,"pulse oscillator",True)
    ,("LFSaw",[ar,kr],ar,[I "freq" (440.0),I "iphase" (0.0)],1,"Sawtooth oscillator",True)
    ,("LFTri",[ar,kr],ar,[I "freq" (440.0),I "iphase" (0.0)],1,"Triangle oscillator",True)
    ,("LPF",[ar,kr],ar,[I "in" (0.0),I "freq" (440.0)],1,"2nd order Butterworth lowpass filter",True)
    ,("LPZ1",[ar,kr],ar,[I "in" (0.0)],1,"Two point average filter",True)
    ,("LPZ2",[ar,kr],ar,[I "in" (0.0)],1,"Two zero fixed lowpass",True)
    ,("Lag",[ar,kr],ar,[I "in" (0.0),I "lagTime" (0.1)],0,"Exponential lag",True)
    ,("Lag2",[ar,kr],ar,[I "in" (0.0),I "lagTime" (0.1)],0,"Exponential lag",True)
    ,("Lag2UD",[ar,kr],ar,[I "in" (0.0),I "lagTimeU" (0.1),I "lagTimeD" (0.1)],0,"Exponential lag",True)
    ,("Lag3",[ar,kr],ar,[I "in" (0.0),I "lagTime" (0.1)],0,"Exponential lag",True)
    ,("Lag3UD",[ar,kr],ar,[I "in" (0.0),I "lagTimeU" (0.1),I "lagTimeD" (0.1)],0,"Exponential lag",True)
    ,("LagIn",[kr],kr,[I "bus" (0),I "numChannels" (1),I "lag" (0.1)],1,"Read a control signal from a bus with a lag",False)
    ,("LagUD",[ar,kr],ar,[I "in" (0.0),I "lagTimeU" (0.1),I "lagTimeD" (0.1)],0,"Exponential lag",True)
    ,("LastValue",[ar,kr],ar,[I "in" (0.0),I "diff" (0.01)],1,"Output the last value before the input changed",False)
    ,("Latch",[ar,kr],ar,[I "in" (0.0),I "trig" (0.0)],1,"Sample and hold",False)
    ,("LatoocarfianC",[ar],ar,[I "freq" (22050),I "a" (1),I "b" (3),I "c" (0.5),I "d" (0.5),I "xi" (0.5),I "yi" (0.5)],1,"Latoocarfian chaotic generator",False)
    ,("LatoocarfianL",[ar],ar,[I "freq" (22050),I "a" (1),I "b" (3),I "c" (0.5),I "d" (0.5),I "xi" (0.5),I "yi" (0.5)],1,"Latoocarfian chaotic generator",False)
    ,("LatoocarfianN",[ar],ar,[I "freq" (22050),I "a" (1),I "b" (3),I "c" (0.5),I "d" (0.5),I "xi" (0.5),I "yi" (0.5)],1,"Latoocarfian chaotic generator",False)
    ,("LeakDC",[ar,kr],ar,[I "in" (0.0),I "coef" (0.995)],1,"Remove DC",True)
    ,("LeastChange",[ar,kr],ar,[I "a" (0.0),I "b" (0.0)],1,"Output least changed",False)
    ,("Limiter",[ar],ar,[I "in" (0.0),I "level" (1.0),I "dur" (0.01)],1,"Peak limiter",False)
    ,("LinCongC",[ar],ar,[I "freq" (22050),I "a" (1.1),I "c" (0.13),I "m" (1.0),I "xi" (0)],1,"Linear congruential chaotic generator",False)
    ,("LinCongL",[ar],ar,[I "freq" (22050),I "a" (1.1),I "c" (0.13),I "m" (1.0),I "xi" (0)],1,"Linear congruential chaotic generator",False)
    ,("LinCongN",[ar],ar,[I "freq" (22050),I "a" (1.1),I "c" (0.13),I "m" (1.0),I "xi" (0)],1,"Linear congruential chaotic generator",False)
    ,("LinExp",[ar,kr],ar,[I "in" (0.0),I "srclo" (0.0),I "srchi" (1.0),I "dstlo" (1.0),I "dsthi" (2.0)],1,"Map a linear range to an exponential range",True)
    ,("LinPan2",[ar,kr],ar,[I "in" 0,I "pos" (0.0),I "level" (1.0)],2,"Two channel linear pan.",False)
    ,("LinRand",[],ir,[I "lo" (0.0),I "hi" (1.0),I "minmax" (0)],1,"Skewed random number generator.",False)
    ,("LinXFade2",[ar,kr],ar,[I "inA" 0,I "inB" (0.0),I "pan" (0.0),I "level" (1.0)],1,"Two channel linear crossfade.",False)
    ,("Line",[ar,kr],ar,[I "start" (0.0),I "end" (1.0),I "dur" (1.0),I "doneAction" (0)],1,"Line generator.",False)
    ,("Linen",[kr],kr,[I "gate" (1.0),I "attackTime" (0.01),I "susLevel" (1.0),I "releaseTime" (1.0),I "doneAction" (0)],1,"Simple linear envelope generator.",False)
    ,("LocalBuf",[],ir,[I "numFrames" (1),I "numChannels" (1)],1,"Allocate a buffer local to the synth",False)
    ,("LocalIn",[ar,kr],ar,[I "numChannels" (1),I "default" (0.0)],1,"Define and read from buses local to a synth.",False)
    ,("LocalOut",[ar,kr],ar,[I "channelsArray" 0],0,"Write to buses local to a synth.",False)
    ,("Logistic",[ar,kr],ar,[I "chaosParam" (3.0),I "freq" (1000.0),I "init" (0.5)],1,"Chaotic noise function",False)
    ,("LorenzL",[ar],ar,[I "freq" (22050),I "s" (10),I "r" (28),I "b" (2.667),I "h" (0.05),I "xi" (0.1),I "yi" (0),I "zi" (0)],1,"Lorenz chaotic generator",False)
    ,("Loudness",[kr],kr,[I "chain" 0,I "smask" (0.25),I "tmask" (1)],1,"Extraction of instantaneous loudness in sones",False)
    ,("MFCC",[kr],kr,[I "chain" 0,I "numcoeff" (13)],13,"Mel frequency cepstral coefficients",False)
    ,("MantissaMask",[ar,kr],ar,[I "in" (0.0),I "bits" (3)],1,"Reduce precision.",False)
    ,("Median",[ar,kr],ar,[I "length" (3),I "in" (0.0)],1,"Median filter.",True)
    ,("MidEQ",[ar,kr],ar,[I "in" (0.0),I "freq" (440.0),I "rq" (1.0),I "db" (0.0)],1,"Parametric filter.",True)
    ,("ModDif",[ar,kr,ir],ar,[I "x" (0.0),I "y" (0.0),I "mod" (1.0)],1,"Minimum difference of two values in modulo arithmetics",False)
    ,("MoogFF",[ar,kr],ar,[I "in" 0,I "freq" (100),I "gain" (2),I "reset" (0)],1,"Moog VCF implementation, designed by Federico Fontana",True)
    ,("MostChange",[ar,kr],ar,[I "a" (0.0),I "b" (0.0)],1,"Output most changed.",False)
    ,("MouseButton",[kr],kr,[I "minval" (0),I "maxval" (1),I "lag" (0.2)],1,"Mouse button UGen.",False)
    ,("MouseX",[kr],kr,[I "minval" (0),I "maxval" (1),I "warp" (0),I "lag" (0.2)],1,"Cursor tracking UGen.",False)
    ,("MouseY",[kr],kr,[I "minval" (0),I "maxval" (1),I "warp" (0),I "lag" (0.2)],1,"Cursor tracking UGen.",False)
    ,("NRand",[],ir,[I "lo" (0.0),I "hi" (1.0),I "n" (0)],1,"Sum of uniform distributions.",False)
    ,("NodeID",[ir],ir,[],1,"(Undocumented class)",False)
    ,("Normalizer",[ar],ar,[I "in" (0.0),I "level" (1.0),I "dur" (0.01)],1,"Flattens dynamics.",False)
    ,("NumAudioBuses",[ir],ir,[],1,"Number of audio busses.",False)
    ,("NumBuffers",[ir],ir,[],1,"Number of open buffers.",False)
    ,("NumControlBuses",[ir],ir,[],1,"Number of control busses.",False)
    ,("NumInputBuses",[ir],ir,[],1,"Number of input busses.",False)
    ,("NumOutputBuses",[ir],ir,[],1,"Number of output busses.",False)
    ,("NumRunningSynths",[kr,ir],kr,[],1,"Number of currently running synths.",False)
    ,("OffsetOut",[ar,kr],ar,[I "bus" 0,I "channelsArray" 0],0,"Write a signal to a bus with sample accurate timing.",False)
    ,("OnePole",[ar,kr],ar,[I "in" (0.0),I "coef" (0.5)],1,"One pole filter.",True)
    ,("OneZero",[ar,kr],ar,[I "in" (0.0),I "coef" (0.5)],1,"One zero filter.",True)
    ,("Onsets",[kr],kr,[I "chain" 0,I "threshold" (0.5),I "odftype" (rcomplex),I "relaxtime" (1),I "floor" (0.1),I "mingap" (10),I "medianspan" (11),I "whtype" (1),I "rawodf" (0)],1,"Onset detector",False)
    ,("Osc",[ar,kr],ar,[I "bufnum" 0,I "freq" (440.0),I "phase" (0.0)],1,"Interpolating wavetable oscillator.",True)
    ,("OscN",[ar,kr],ar,[I "bufnum" 0,I "freq" (440.0),I "phase" (0.0)],1,"Noninterpolating wavetable oscillator.",True)
    ,("Out",[ar,kr],ar,[I "bus" 0,I "channelsArray" 0],0,"Write a signal to a bus.",False)
    ,("PSinGrain",[ar],ar,[I "freq" (440.0),I "dur" (0.2),I "amp" (0.1)],1,"Very fast sine grain with a parabolic envelope",False)
    ,("PV_Add",[kr],kr,[I "bufferA" 0,I "bufferB" 0],1,"Complex addition.",False)
    ,("PV_BinScramble",[kr],kr,[I "buffer" 0,I "wipe" (0.0),I "width" (0.2),I "trig" (0.0)],1,"Scramble bins.",False)
    ,("PV_BinShift",[kr],kr,[I "buffer" 0,I "stretch" (1.0),I "shift" (0.0),I "interp" (0)],1,"Shift and stretch bin position.",False)
    ,("PV_BinWipe",[kr],kr,[I "bufferA" 0,I "bufferB" 0,I "wipe" (0.0)],1,"Combine low and high bins from two inputs.",False)
    ,("PV_BrickWall",[kr],kr,[I "buffer" 0,I "wipe" (0.0)],1,"Zero bins.",False)
    ,("PV_ConformalMap",[kr],kr,[I "buffer" 0,I "areal" (0.0),I "aimag" (0.0)],1,"Complex plane attack.",False)
    ,("PV_Conj",[kr],kr,[I "buffer" 0],1,"Complex conjugate",False)
    ,("PV_Copy",[kr],kr,[I "bufferA" 0,I "bufferB" 0],1,"Copy an FFT buffer",False)
    ,("PV_CopyPhase",[kr],kr,[I "bufferA" 0,I "bufferB" 0],1,"Copy magnitudes and phases.",False)
    ,("PV_Diffuser",[kr],kr,[I "buffer" 0,I "trig" (0.0)],1,"Random phase shifting.",False)
    ,("PV_Div",[kr],kr,[I "bufferA" 0,I "bufferB" 0],1,"Complex division",False)
    ,("PV_HainsworthFoote",[ar,kr],ar,[I "maxSize" (0)],1,"FFT onset detector.",False)
    ,("PV_JensenAndersen",[ar,kr],ar,[I "maxSize" (0)],1,"FFT feature detector for onset detection.",False)
    ,("PV_LocalMax",[kr],kr,[I "buffer" 0,I "threshold" (0.0)],1,"Pass bins which are a local maximum.",False)
    ,("PV_MagAbove",[kr],kr,[I "buffer" 0,I "threshold" (0.0)],1,"Pass bins above a threshold.",False)
    ,("PV_MagBelow",[kr],kr,[I "buffer" 0,I "threshold" (0.0)],1,"Pass bins below a threshold.",False)
    ,("PV_MagClip",[kr],kr,[I "buffer" 0,I "threshold" (0.0)],1,"Clip bins to a threshold.",False)
    ,("PV_MagDiv",[kr],kr,[I "bufferA" 0,I "bufferB" 0,I "zeroed" (0.0001)],1,"Division of magnitudes",False)
    ,("PV_MagFreeze",[kr],kr,[I "buffer" 0,I "freeze" (0.0)],1,"Freeze magnitudes.",False)
    ,("PV_MagMul",[kr],kr,[I "bufferA" 0,I "bufferB" 0],1,"Multiply magnitudes.",False)
    ,("PV_MagNoise",[kr],kr,[I "buffer" 0],1,"Multiply magnitudes by noise.",False)
    ,("PV_MagShift",[kr],kr,[I "buffer" 0,I "stretch" (1.0),I "shift" (0.0)],1,"shift and stretch magnitude bin position.",False)
    ,("PV_MagSmear",[kr],kr,[I "buffer" 0,I "bins" (0.0)],1,"Average magnitudes across bins.",False)
    ,("PV_MagSquared",[kr],kr,[I "buffer" 0],1,"Square magnitudes.",False)
    ,("PV_Max",[kr],kr,[I "bufferA" 0,I "bufferB" 0],1,"Maximum magnitude.",False)
    ,("PV_Min",[kr],kr,[I "bufferA" 0,I "bufferB" 0],1,"Minimum magnitude.",False)
    ,("PV_Mul",[kr],kr,[I "bufferA" 0,I "bufferB" 0],1,"Complex multiply.",False)
    ,("PV_PhaseShift",[kr],kr,[I "buffer" 0,I "shift" 0,I "integrate" (0)],1,"Shift phase.",False)
    ,("PV_PhaseShift270",[kr],kr,[I "buffer" 0],1,"Shift phase by 270 degrees.",False)
    ,("PV_PhaseShift90",[kr],kr,[I "buffer" 0],1,"Shift phase by 90 degrees.",False)
    ,("PV_RandComb",[kr],kr,[I "buffer" 0,I "wipe" (0.0),I "trig" (0.0)],1,"Pass random bins.",False)
    ,("PV_RandWipe",[kr],kr,[I "bufferA" 0,I "bufferB" 0,I "wipe" (0.0),I "trig" (0.0)],1,"Crossfade in random bin order.",False)
    ,("PV_RectComb",[kr],kr,[I "buffer" 0,I "numTeeth" (0.0),I "phase" (0.0),I "width" (0.5)],1,"Make gaps in spectrum.",False)
    ,("PV_RectComb2",[kr],kr,[I "bufferA" 0,I "bufferB" 0,I "numTeeth" (0.0),I "phase" (0.0),I "width" (0.5)],1,"Make gaps in spectrum.",False)
    ,("Pan2",[ar,kr],ar,[I "in" 0,I "pos" (0.0),I "level" (1.0)],2,"Two channel equal power pan.",False)
    ,("Pan4",[ar,kr],ar,[I "in" 0,I "xpos" (0.0),I "ypos" (0.0),I "level" (1.0)],4,"Four channel equal power pan.",False)
    ,("PanAz",[ar,kr],ar,[I "numChans" 0,I "in" 0,I "pos" (0.0),I "level" (1.0),I "width" (2.0),I "orientation" (0.5)],0,"Azimuth panner",False)
    ,("PanB",[ar,kr],ar,[I "in" 0,I "azimuth" (0),I "elevation" (0),I "gain" (1)],4,"Ambisonic B-format panner.",False)
    ,("PanB2",[ar,kr],ar,[I "in" 0,I "azimuth" (0),I "gain" (1)],3,"2D Ambisonic B-format panner.",False)
    ,("PartConv",[ar],ar,[I "in" 0,I "fftsize" 0,I "irbufnum" 0],1,"Real-time partitioned convolution",False)
    ,("Pause",[kr],kr,[I "gate" 0,I "id" 0],1,"When triggered, pauses a node.",False)
    ,("PauseSelf",[kr],kr,[I "in" 0],1,"When triggered, pause enclosing synth.",False)
    ,("PauseSelfWhenDone",[kr],kr,[I "src" 0],1,"FIXME: PauseSelfWhenDone purpose.",False)
    ,("Peak",[ar,kr],ar,[I "in" (0.0),I "trig" (0.0)],1,"Track peak signal amplitude.",False)
    ,("PeakFollower",[ar,kr],ar,[I "in" (0.0),I "decay" (0.999)],1,"Track peak signal amplitude.",False)
    ,("Phasor",[ar,kr],ar,[I "trig" (0.0),I "rate" (1.0),I "start" (0.0),I "end" (1.0),I "resetPos" (0.0)],1,"A resettable linear ramp between two levels.",False)
    ,("PinkNoise",[ar,kr],ar,[],1,"Pink Noise.",False)
    ,("Pitch",[kr],kr,[I "in" (0.0),I "initFreq" (440.0),I "minFreq" (60.0),I "maxFreq" (4000.0),I "execFreq" (100.0),I "maxBinsPerOctave" (16),I "median" (1),I "ampThreshold" (0.01),I "peakThreshold" (0.5),I "downSample" (1),I "clar" (0)],2,"Autocorrelation pitch follower",False)
    ,("PitchShift",[ar],ar,[I "in" (0.0),I "windowSize" (0.2),I "pitchRatio" (1.0),I "pitchDispersion" (0.0),I "timeDispersion" (0.0)],1,"Time domain pitch shifter.",False)
    ,("PlayBuf",[ar,kr],ar,[I "numChannels" 0,I "bufnum" (0),I "rate" (1.0),I "trigger" (1.0),I "startPos" (0.0),I "loop" (0.0),I "doneAction" (0)],1,"Sample playback oscillator.",False)
    ,("Pluck",[ar],ar,[I "in" (0.0),I "trig" (1.0),I "maxdelaytime" (0.2),I "delaytime" (0.2),I "decaytime" (1.0),I "coef" (0.5)],1,"A Karplus-Strong UGen",False)
    ,("Poll",[ar,kr],ar,[I "trig" 0,I "in" 0,I "label" 0,I "trigid" (-1)],1,"Print the current output value of a UGen",False)
    ,("Pulse",[ar,kr],ar,[I "freq" (440.0),I "width" (0.5)],1,"Band limited pulse wave.",False)
    ,("PulseCount",[ar,kr],ar,[I "trig" (0.0),I "reset" (0.0)],1,"Pulse counter.",False)
    ,("PulseDivider",[ar,kr],ar,[I "trig" (0.0),I "div" (2.0),I "start" (0.0)],1,"Pulse divider.",False)
    ,("QuadC",[ar],ar,[I "freq" (22050),I "a" (1),I "b" (-1),I "c" (-0.75),I "xi" (0)],1,"General quadratic map chaotic generator",False)
    ,("QuadL",[ar],ar,[I "freq" (22050),I "a" (1),I "b" (-1),I "c" (-0.75),I "xi" (0)],1,"General quadratic map chaotic generator",False)
    ,("QuadN",[ar],ar,[I "freq" (22050),I "a" (1),I "b" (-1),I "c" (-0.75),I "xi" (0)],1,"General quadratic map chaotic generator",False)
    ,("RHPF",[ar,kr],ar,[I "in" (0.0),I "freq" (440.0),I "rq" (1.0)],1,"A resonant high pass filter.",True)
    ,("RLPF",[ar,kr],ar,[I "in" (0.0),I "freq" (440.0),I "rq" (1.0)],1,"A resonant low pass filter.",True)
    ,("RadiansPerSample",[ir],ir,[],1,"Number of radians per sample.",False)
    ,("Ramp",[ar,kr],ar,[I "in" (0.0),I "lagTime" (0.1)],0,"Break a continuous signal into line segments",True)
    ,("Rand",[],ir,[I "lo" (0.0),I "hi" (1.0)],1,"Single random number generator.",False)
    ,("RandID",[kr,ir],kr,[I "id" (0)],0,"Set the synth's random generator ID.",False)
    ,("RandSeed",[ar,kr,ir],ar,[I "trig" (0.0),I "seed" (56789)],0,"Sets the synth's random generator seed.",False)
    ,("RecordBuf",[ar,kr],ar,[I "inputArray" 0,I "bufnum" (0),I "offset" (0.0),I "recLevel" (1.0),I "preLevel" (0.0),I "run" (1.0),I "loop" (1.0),I "trigger" (1.0),I "doneAction" (0)],1,"Record or overdub into a Buffer.",False)
    ,("ReplaceOut",[ar,kr],ar,[I "bus" 0,I "channelsArray" 0],0,"Send signal to a bus, overwriting previous contents.",False)
    ,("Resonz",[ar,kr],ar,[I "in" (0.0),I "freq" (440.0),I "bwr" (1.0)],1,"Resonant filter.",True)
    ,("Ringz",[ar,kr],ar,[I "in" (0.0),I "freq" (440.0),I "decaytime" (1.0)],1,"Ringing filter.",True)
    ,("Rotate2",[ar,kr],ar,[I "x" 0,I "y" 0,I "pos" (0.0)],2,"Rotate a sound field.",False)
    ,("RunningMax",[ar,kr],ar,[I "in" (0.0),I "trig" (0.0)],1,"Track maximum level.",False)
    ,("RunningMin",[ar,kr],ar,[I "in" (0.0),I "trig" (0.0)],1,"Track minimum level.",False)
    ,("RunningSum",[ar,kr],ar,[I "in" 0,I "numsamp" (40)],1,"Running sum over n frames",False)
    ,("SOS",[ar,kr],ar,[I "in" (0.0),I "a0" (0.0),I "a1" (0.0),I "a2" (0.0),I "b1" (0.0),I "b2" (0.0)],1,"Second order filter section (biquad).",True)
    ,("SampleDur",[ir],ir,[],1,"Duration of one sample.",False)
    ,("SampleRate",[ir],ir,[],1,"Server sample rate.",False)
    ,("Sanitize",[ar,kr],ar,[I "in" (0.0),I "replace" (0.0)],1,"Remove infinity, NaN, and denormals",False)
    ,("Saw",[ar,kr],ar,[I "freq" (440.0)],1,"Band limited sawtooth.",False)
    ,("Schmidt",[ar,kr,ir],ar,[I "in" (0.0),I "lo" (0.0),I "hi" (1.0)],1,"Schmidt trigger.",False)
    ,("Select",[ar,kr],ar,[I "which" 0,I "array" 0],1,"Select output from an array of inputs.",True)
    ,("SendTrig",[ar,kr],ar,[I "in" (0.0),I "id" (0),I "value" (0.0)],0,"Send a trigger message from the server back to the client.",False)
    ,("SetResetFF",[ar,kr],ar,[I "trig" (0.0),I "reset" (0.0)],1,"Set-reset flip flop.",False)
    ,("Shaper",[ar,kr],ar,[I "bufnum" 0,I "in" (0.0)],1,"Wave shaper.",True)
    ,("SinOsc",[ar,kr],ar,[I "freq" (440.0),I "phase" (0.0)],1,"Interpolating sine wavetable oscillator.",True)
    ,("SinOscFB",[ar,kr],ar,[I "freq" (440.0),I "feedback" (0.0)],1,"Feedback FM oscillator",True)
    ,("Slew",[ar,kr],ar,[I "in" (0.0),I "up" (1.0),I "dn" (1.0)],0,"Slew rate limiter.",True)
    ,("Slope",[ar,kr],ar,[I "in" (0.0)],1,"Slope of signal",True)
    ,("SpecCentroid",[kr],kr,[I "buffer" 0],1,"Spectral centroid",False)
    ,("SpecFlatness",[kr],kr,[I "buffer" 0],1,"Spectral Flatness measure",False)
    ,("SpecPcile",[kr],kr,[I "buffer" 0,I "fraction" (0.5),I "interpolate" (0)],1,"Find a percentile of FFT magnitude spectrum",False)
    ,("Spring",[ar,kr],ar,[I "in" (0.0),I "spring" (1),I "damp" (0)],1,"physical model of resonating spring",False)
    ,("StandardL",[ar],ar,[I "freq" (22050),I "k" (1.0),I "xi" (0.5),I "yi" (0)],1,"Standard map chaotic generator",False)
    ,("StandardN",[ar],ar,[I "freq" (22050),I "k" (1.0),I "xi" (0.5),I "yi" (0)],1,"Standard map chaotic generator",False)
    ,("Stepper",[ar,kr],ar,[I "trig" (0),I "reset" (0),I "min" (0),I "max" (7),I "step" (1),I "resetval" 0],1,"Pulse counter.",False)
    ,("StereoConvolution2L",[ar],ar,[I "in" 0,I "kernelL" 0,I "kernelR" 0,I "trigger" (0),I "framesize" (2048),I "crossfade" (1)],2,"Stereo real-time convolver with linear interpolation",False)
    ,("SubsampleOffset",[ir],ir,[],1,"Offset from synth start within one sample.",False)
    ,("Sum3",[],ir,[I "in0" 0,I "in1" 0,I "in2" 0],1,"Sum three signals",False)
    ,("Sum4",[],ir,[I "in0" 0,I "in1" 0,I "in2" 0,I "in3" 0],1,"Sum four signals",False)
    ,("Sweep",[ar,kr],ar,[I "trig" (0.0),I "rate" (1.0)],1,"Triggered linear ramp",False)
    ,("SyncSaw",[ar,kr],ar,[I "syncFreq" (440.0),I "sawFreq" (440.0)],1,"Hard sync sawtooth wave.",True)
    ,("T2A",[ar],ar,[I "in" (0.0),I "offset" (0)],1,"Control rate trigger to audio rate trigger converter",True)
    ,("T2K",[kr],kr,[I "in" (0.0)],1,"Audio rate trigger to control rate trigger converter",True)
    ,("TBall",[ar,kr],ar,[I "in" (0.0),I "g" (10),I "damp" (0),I "friction" (0.01)],1,"physical model of bouncing object",False)
    ,("TDelay",[ar,kr],ar,[I "in" (0.0),I "dur" (0.1)],1,"Trigger delay.",False)
    ,("TDuty",[ar,kr],ar,[I "dur" (1.0),I "reset" (0.0),I "level" (1.0),I "doneAction" (0),I "gapFirst" (0)],1,"Demand results as trigger from demand rate UGens.",False)
    ,("TExpRand",[ar,kr],ar,[I "lo" (0.01),I "hi" (1.0),I "trig" (0.0)],1,"Triggered exponential random number generator.",False)
    ,("TGrains",[ar],ar,[I "numChannels" 0,I "trigger" (0),I "bufnum" (0),I "rate" (1),I "centerPos" (0),I "dur" (0.1),I "pan" (0),I "amp" (0.1),I "interp" (4)],1,"Buffer granulator.",False)
    ,("TIRand",[ar,kr],ar,[I "lo" (0),I "hi" (127),I "trig" (0.0)],1,"Triggered integer random number generator.",False)
    ,("TRand",[ar,kr],ar,[I "lo" (0.0),I "hi" (1.0),I "trig" (0.0)],1,"Triggered random number generator.",False)
    ,("TWindex",[ar,kr],ar,[I "in" 0,I "array" 0,I "normalize" (0)],1,"Triggered windex.",False)
    ,("Timer",[ar,kr],ar,[I "trig" (0.0)],1,"Returns time since last triggered.",False)
    ,("ToggleFF",[ar,kr],ar,[I "trig" (0.0)],1,"Toggle flip flop.",False)
    ,("Trig",[ar,kr],ar,[I "in" (0.0),I "dur" (0.1)],1,"Timed trigger.",False)
    ,("Trig1",[ar,kr],ar,[I "in" (0.0),I "dur" (0.1)],1,"Timed trigger.",False)
    ,("TwoPole",[ar,kr],ar,[I "in" (0.0),I "freq" (440.0),I "radius" (0.8)],1,"Two pole filter.",True)
    ,("TwoZero",[ar,kr],ar,[I "in" (0.0),I "freq" (440.0),I "radius" (0.8)],1,"Two zero filter.",True)
    ,("VDiskIn",[ar],ar,[I "numChannels" 0,I "bufnum" 0,I "rate" (1),I "loop" (0),I "sendID" (0)],1,"Stream in audio from a file, with variable rate",False)
    ,("VOsc",[ar,kr],ar,[I "bufpos" 0,I "freq" (440.0),I "phase" (0.0)],1,"Variable wavetable oscillator.",True)
    ,("VOsc3",[ar,kr],ar,[I "bufpos" 0,I "freq1" (110.0),I "freq2" (220.0),I "freq3" (440.0)],1,"Three variable wavetable oscillators.",True)
    ,("VarLag",[ar,kr],ar,[I "in" (0.0),I "time" (0.1),I "curvature" (0),I "warp" (5),I "start" 0],0,"Variable shaped lag",True)
    ,("VarSaw",[ar,kr],ar,[I "freq" (440.0),I "iphase" (0.0),I "width" (0.5)],1,"Variable duty saw",True)
    ,("Vibrato",[ar,kr],ar,[I "freq" (440.0),I "rate" (6),I "depth" (0.02),I "delay" (0.0),I "onset" (0.0),I "rateVariation" (0.04),I "depthVariation" (0.1),I "iphase" (0.0),I "trig" (0.0)],1,"The Vibrato oscillator models a slow frequency modulation.",True)
    ,("Warp1",[ar],ar,[I "numChannels" (1),I "bufnum" (0),I "pointer" (0),I "freqScale" (1),I "windowSize" (0.2),I "envbufnum" (-1),I "overlaps" (8),I "windowRandRatio" (0.0),I "interp" (1)],1,"Warp a buffer with a time pointer",False)
    ,("WhiteNoise",[ar,kr],ar,[],1,"White noise.",False)
    ,("Wrap",[ar,kr,ir],ar,[I "in" (0.0),I "lo" (0.0),I "hi" (1.0)],1,"Wrap a signal outside given thresholds.",False)
    ,("WrapIndex",[ar,kr],ar,[I "bufnum" 0,I "in" (0.0)],1,"Index into a table with a signal.",True)
    ,("XFade2",[ar,kr],ar,[I "inA" 0,I "inB" (0.0),I "pan" (0.0),I "level" (1.0)],1,"Equal power two channel cross fade.",False)
    ,("XLine",[ar,kr],ar,[I "start" (1.0),I "end" (2.0),I "dur" (1.0),I "doneAction" (0)],1,"Exponential line generator.",False)
    ,("XOut",[ar,kr],ar,[I "bus" 0,I "xfade" 0,I "channelsArray" 0],0,"Send signal to a bus, crossfading with previous contents.",False)
    ,("ZeroCrossing",[ar,kr],ar,[I "in" (0.0)],1,"Zero crossing frequency follower",False)
    ]
-- Local Variables:
-- truncate-lines:t
-- End:

